<html>
<head>
  <title>./0_interface_list/main.c</title>
</head>
<body bgcolor="#ffffff" text="#000000">
<pre>
<font color="0000ff"><strong>#include <font color="#008000">&lt;libmcm/mcm-interface-info.h&gt;</font></strong></font>
<font color="0000ff"><strong>#include <font color="#008000">&lt;pthread.h&gt;</font></strong></font>
<font color="0000ff"><strong>#include <font color="#008000">&lt;signal.h&gt;</font></strong></font>
<font color="0000ff"><strong>#include <font color="#008000">&lt;stdio.h&gt;</font></strong></font>
<font color="0000ff"><strong>#include <font color="#008000">&lt;stdlib.h&gt;</font></strong></font>
<font color="0000ff"><strong>#include <font color="#008000">&lt;string.h&gt;</font></strong></font>

<font color="0000ff"><strong>#define BUFFERSIZE 128</strong></font>

<strong>int</strong> <font color="#2040a0">main</font><font color="4444FF">(</font><strong>int</strong> <font color="#2040a0">argc</font>, <strong>char</strong> <font color="4444FF">*</font><font color="#2040a0">argv</font><font color="4444FF">[</font><font color="4444FF">]</font><font color="4444FF">)</font> <font color="4444FF"><strong>{</strong></font>
    <font color="#2040a0">mcm_interface_info</font> <font color="4444FF">*</font><font color="#2040a0">interface_list</font><font color="4444FF">;</font>
    <strong>int</strong>                 <font color="#2040a0">num</font> <font color="4444FF">=</font> <font color="#FF0000">0</font><font color="4444FF">;</font>
    <strong>int</strong>                 <font color="#2040a0">ret</font> <font color="4444FF">=</font> <font color="#FF0000">0</font><font color="4444FF">;</font>
    <strong>char</strong>                <font color="#2040a0">buffer</font><font color="4444FF">[</font><font color="#2040a0">BUFFERSIZE</font><font color="4444FF">]</font><font color="4444FF">;</font>
    <font color="#2040a0">mcm_network_info</font>    <font color="#2040a0">network_info</font><font color="4444FF">;</font>

    <font color="#2040a0">memset</font><font color="4444FF">(</font><font color="#2040a0">buffer</font>, <font color="#FF0000">0</font>, <strong>sizeof</strong><font color="4444FF">(</font><font color="#2040a0">buffer</font><font color="4444FF">)</font><font color="4444FF">)</font><font color="4444FF">;</font>
    <font color="#2040a0">memset</font><font color="4444FF">(</font><font color="4444FF">&amp;</font><font color="#2040a0">network_info</font>, <font color="#FF0000">0</font>, <strong>sizeof</strong><font color="4444FF">(</font><font color="#2040a0">mcm_network_info</font><font color="4444FF">)</font><font color="4444FF">)</font><font color="4444FF">;</font>

    <font color="#2040a0">ret</font> <font color="4444FF">=</font> <font color="#2040a0">mcm_interface_get_all_list</font><font color="4444FF">(</font><font color="4444FF">&amp;</font><font color="#2040a0">num</font>, <font color="4444FF">&amp;</font><font color="#2040a0">interface_list</font><font color="4444FF">)</font><font color="4444FF">;</font>
    <strong>if</strong> <font color="4444FF">(</font><font color="#2040a0">ret</font> <font color="4444FF">!</font><font color="4444FF">=</font> <font color="#FF0000">0</font><font color="4444FF">)</font> <font color="4444FF"><strong>{</strong></font>
        <font color="#2040a0">printf</font><font color="4444FF">(</font><font color="#008000">&quot;ERROR: Get interface list failed:%d<font color="#77dd77">\n</font>&quot;</font>, <font color="#2040a0">ret</font><font color="4444FF">)</font><font color="4444FF">;</font>
        <strong>return</strong> <font color="#2040a0">ret</font><font color="4444FF">;</font>
    <font color="4444FF"><strong>}</strong></font>

    <font color="#2040a0">printf</font><font color="4444FF">(</font><font color="#008000">&quot;Total Interface Number : %d<font color="#77dd77">\n</font>&quot;</font>, <font color="#2040a0">num</font><font color="4444FF">)</font><font color="4444FF">;</font>
    <strong>for</strong> <font color="4444FF">(</font><strong>int</strong> <font color="#2040a0">i</font> <font color="4444FF">=</font> <font color="#FF0000">0</font><font color="4444FF">;</font> <font color="#2040a0">i</font> <font color="4444FF">&lt;</font> <font color="#2040a0">num</font><font color="4444FF">;</font> <font color="#2040a0">i</font><font color="4444FF">+</font><font color="4444FF">+</font><font color="4444FF">)</font> <font color="4444FF"><strong>{</strong></font>
        <font color="#2040a0">printf</font><font color="4444FF">(</font><font color="#008000">&quot;<font color="#77dd77">\%</font>s<font color="#77dd77">\n</font>&quot;</font>, <font color="#2040a0">interface_list</font><font color="4444FF">[</font><font color="#2040a0">i</font><font color="4444FF">]</font>.<font color="#2040a0">interface_name</font><font color="4444FF">)</font><font color="4444FF">;</font>
        <font color="#2040a0">printf</font><font color="4444FF">(</font><font color="#008000">&quot;<font color="#77dd77">\t</font>Device Name:%s<font color="#77dd77">\n</font>&quot;</font>, <font color="#2040a0">interface_list</font><font color="4444FF">[</font><font color="#2040a0">i</font><font color="4444FF">]</font>.<font color="#2040a0">device_name</font><font color="4444FF">)</font><font color="4444FF">;</font>
        <font color="#2040a0">printf</font><font color="4444FF">(</font><font color="#008000">&quot;<font color="#77dd77">\t</font>Device Type:%s<font color="#77dd77">\n</font>&quot;</font>, <font color="#2040a0">interface_list</font><font color="4444FF">[</font><font color="#2040a0">i</font><font color="4444FF">]</font>.<font color="#2040a0">device_type</font><font color="4444FF">)</font><font color="4444FF">;</font>
    <font color="4444FF"><strong>}</strong></font>
    <strong>return</strong> <font color="#2040a0">ret</font><font color="4444FF">;</font>
<font color="4444FF"><strong>}</strong></font>

</pre>
<hr>
syntax highlighted by <a href="http://www.palfrader.org/code2html">Code2HTML</a>, v. 0.9.1
</body>
</html>
